Public Member Functions | List of all members
clan::LineRay3f Class Reference
clanCore Math

3D line ray - Float More...

`#include <line_ray.h>`

Inheritance diagram for clan::LineRay3f:

## Public Member Functions
| LineRay3f ()
| LineRay3f (const LineRay3x< float > &copy)
| LineRay3f (const Vec3< float > &point_p, const Vec3< float > &direction_v)
Public Member Functions inherited from clan::LineRay3x< float >
| LineRay3x ()
| LineRay3x (const LineRay3x< float > &copy)
| LineRay3x (const Vec3< float > &point_p, const Vec3< float > &direction_v)
LineRay3x< float > & | operator= (const LineRay3x< float > &copy)
| = operator. More...
bool | operator== (const LineRay3x< float > &line) const
| == operator. More...
bool | operator!= (const LineRay3x< float > &line) const
| != operator. More...

## Additional Inherited Members
Public Attributes inherited from clan::LineRay3x< float >
Vec3< float > | p
| Start point on the line ray. More...
Vec3< float > | v

## Detailed Description

3D line ray - Float

A ray has a start point and a direction

The documentation for this class was generated from the following file:

- line_ray.h